PeopleForce
Reports

List people data changes

GET
/api/public/v3/reports/people_data_changes

Query Parameters

changed_by_ids?array<string>
created_at[gte]?string
created_at[lte]?string
direction?string
effective_on[gte]?string
effective_on[lte]?string
employee_ids?array<string>
page?integer
query?string
record_types?array<string>
sort?string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v3/reports/people_data_changes"
{  "data": [    {      "id": 0,      "employee": {        "id": 0,        "full_name": "string"      },      "changed_by": {        "id": 0,        "full_name": "string"      },      "group": "string",      "field": "string",      "value": "string",      "previous_value": "string",      "effective_on": "string",      "created_at": "string"    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}